/*

Copyright (C) 2011 by Yehuda Katz

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

*/
// lib/handlebars/browser-prefix.js
var Handlebars={};(function(e,t){e.VERSION="1.0.0",e.COMPILER_REVISION=4,e.REVISION_CHANGES={1:"<= 1.0.rc.2",2:"== 1.0.0-rc.3",3:"== 1.0.0-rc.4",4:">= 1.0.0"},e.helpers={},e.partials={};var n=Object.prototype.toString,r="[object Function]",i="[object Object]";e.registerHelper=function(t,r,s){if(n.call(t)===i){if(s||r)throw new e.Exception("Arg not supported with multiple helpers");e.Utils.extend(this.helpers,t)}else s&&(r.not=s),this.helpers[t]=r},e.registerPartial=function(t,r){n.call(t)===i?e.Utils.extend(this.partials,t):this.partials[t]=r},e.registerHelper("helperMissing",function(e){if(arguments.length===2)return t;throw new Error("Missing helper: '"+e+"'")}),e.registerHelper("blockHelperMissing",function(t,i){var s=i.inverse||function(){},o=i.fn,u=n.call(t);return u===r&&(t=t.call(this)),t===!0?o(this):t===!1||t==null?s(this):u==="[object Array]"?t.length>0?e.helpers.each(t,i):s(this):o(t)}),e.K=function(){},e.createFrame=Object.create||function(t){e.K.prototype=t;var n=new e.K;return e.K.prototype=null,n},e.logger={DEBUG:0,INFO:1,WARN:2,ERROR:3,level:3,methodMap:{0:"debug",1:"info",2:"warn",3:"error"},log:function(t,n){if(e.logger.level<=t){var r=e.logger.methodMap[t];typeof console!="undefined"&&console[r]&&console[r].call(console,n)}}},e.log=function(t,n){e.logger.log(t,n)},e.registerHelper("each",function(t,i){var s=i.fn,o=i.inverse,u=0,a="",f,l=n.call(t);l===r&&(t=t.call(this)),i.data&&(f=e.createFrame(i.data));if(t&&typeof t=="object")if(t instanceof Array)for(var c=t.length;u<c;u++)f&&(f.index=u),a+=s(t[u],{data:f});else for(var h in t)t.hasOwnProperty(h)&&(f&&(f.key=h),a+=s(t[h],{data:f}),u++);return u===0&&(a=o(this)),a}),e.registerHelper("if",function(t,i){var s=n.call(t);return s===r&&(t=t.call(this)),!t||e.Utils.isEmpty(t)?i.inverse(this):i.fn(this)}),e.registerHelper("unless",function(t,n){return e.helpers["if"].call(this,t,{fn:n.inverse,inverse:n.fn})}),e.registerHelper("with",function(t,i){var s=n.call(t);s===r&&(t=t.call(this));if(!e.Utils.isEmpty(t))return i.fn(t)}),e.registerHelper("log",function(t,n){var r=n.data&&n.data.level!=null?parseInt(n.data.level,10):1;e.log(r,t)});var s=["description","fileName","lineNumber","message","name","number","stack"];e.Exception=function(e){var t=Error.prototype.constructor.apply(this,arguments);for(var n=0;n<s.length;n++)this[s[n]]=t[s[n]]},e.Exception.prototype=new Error,e.SafeString=function(e){this.string=e},e.SafeString.prototype.toString=function(){return this.string.toString()};var o={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","`":"&#x60;"},u=/[&<>"'`]/g,a=/[&<>"'`]/,f=function(e){return o[e]||"&amp;"};e.Utils={extend:function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])},escapeExpression:function(t){return t instanceof e.SafeString?t.toString():t==null||t===!1?"":(t=t.toString(),a.test(t)?t.replace(u,f):t)},isEmpty:function(e){return!e&&e!==0?!0:n.call(e)==="[object Array]"&&e.length===0?!0:!1}},e.VM={template:function(t){var n={escapeExpression:e.Utils.escapeExpression,invokePartial:e.VM.invokePartial,programs:[],program:function(t,n,r){var i=this.programs[t];return r?i=e.VM.program(t,n,r):i||(i=this.programs[t]=e.VM.program(t,n)),i},merge:function(t,n){var r=t||n;return t&&n&&(r={},e.Utils.extend(r,n),e.Utils.extend(r,t)),r},programWithDepth:e.VM.programWithDepth,noop:e.VM.noop,compilerInfo:null};return function(r,i){i=i||{};var s=t.call(n,e,r,i.helpers,i.partials,i.data),o=n.compilerInfo||[],u=o[0]||1,a=e.COMPILER_REVISION;if(u!==a){if(u<a){var f=e.REVISION_CHANGES[a],l=e.REVISION_CHANGES[u];throw"Template was precompiled with an older version of Handlebars than the current runtime. Please update your precompiler to a newer version ("+f+") or downgrade your runtime to an older version ("+l+")."}throw"Template was precompiled with a newer version of Handlebars than the current runtime. Please update your runtime to a newer version ("+o[1]+")."}return s}},programWithDepth:function(e,t,n){var r=Array.prototype.slice.call(arguments,3),i=function(e,i){return i=i||{},t.apply(this,[e,i.data||n].concat(r))};return i.program=e,i.depth=r.length,i},program:function(e,t,n){var r=function(e,r){return r=r||{},t(e,r.data||n)};return r.program=e,r.depth=0,r},noop:function(){return""},invokePartial:function(n,r,i,s,o,u){var a={helpers:s,partials:o,data:u};if(n===t)throw new e.Exception("The partial "+r+" could not be found");if(n instanceof Function)return n(i,a);if(!e.compile)throw new e.Exception("The partial "+r+" could not be compiled when running in runtime-only mode");return o[r]=e.compile(n,{data:u!==t}),o[r](i,a)}},e.template=e.VM.template})(Handlebars),function(e,t,n){typeof module!="undefined"&&module.exports?module.exports=t():typeof n["define"]=="function"&&n.define.amd?define(e,t):n[e]=t()}("qwery",function(){function L(){this.c={}}function D(e){return A.g(e)||A.s(e,"(^|\\s+)"+e+"(\\s+|$)",1)}function P(e,t){var n=0,r=e.length;for(;n<r;n++)t(e[n])}function H(e){for(var t=[],n=0,r=e.length;n<r;++n)$(e[n])?t=t.concat(e[n]):t[t.length]=e[n];return t}function B(e){var t=0,n=e.length,r=[];for(;t<n;t++)r[t]=e[t];return r}function j(e){while(e=e.previousSibling)if(e[u]==1)break;return e}function F(e){return e.match(C)}function I(e,t,n,r,i,s,a,c,h,p,d){var v,m,g,y,b;if(this[u]!==1)return!1;if(t&&t!=="*"&&this[o]&&this[o].toLowerCase()!==t)return!1;if(n&&(m=n.match(f))&&m[1]!==this.id)return!1;if(n&&(b=n.match(l)))for(v=b.length;v--;)if(!D(b[v].slice(1)).test(this.className))return!1;if(h&&Q.pseudos[h]&&!Q.pseudos[h](this,d))return!1;if(r&&!a){y=this.attributes;for(g in y)if(Object.prototype.hasOwnProperty.call(y,g)&&(y[g].name||g)==i)return this}return r&&!R(s,Z(this,i)||"",a)?!1:this}function q(e){return O.g(e)||O.s(e,e.replace(b,"\\$1"))}function R(e,t,n){switch(e){case"=":return t==n;case"^=":return t.match(M.g("^="+n)||M.s("^="+n,"^"+q(n),1));case"$=":return t.match(M.g("$="+n)||M.s("$="+n,q(n)+"$",1));case"*=":return t.match(M.g(n)||M.s(n,q(n),1));case"~=":return t.match(M.g("~="+n)||M.s("~="+n,"(?:^|\\s+)"+q(n)+"(?:\\s+|$)",1));case"|=":return t.match(M.g("|="+n)||M.s("|="+n,"^"+q(n)+"(-|$)",1))}return 0}function U(e,t){var n=[],i=[],s,a,f,l,h,p,d,v,m=t,g=_.g(e)||_.s(e,e.split(N)),y=e.match(T);if(!g.length)return n;l=(g=g.slice(0)).pop(),g.length&&(f=g[g.length-1].match(c))&&(m=K(t,f[1]));if(!m)return n;d=F(l),p=m!==t&&m[u]!==9&&y&&/^[+~]$/.test(y[y.length-1])?function(e){while(m=m.nextSibling)m[u]==1&&(d[1]?d[1]==m[o].toLowerCase():1)&&(e[e.length]=m);return e}([]):m[r](d[1]||"*");for(s=0,a=p.length;s<a;s++)if(v=I.apply(p[s],d))n[n.length]=v;return g.length?(P(n,function(e){W(e,g,y)&&(i[i.length]=e)}),i):n}function z(e,t,n){if(X(t))return e==t;if($(t))return!!~H(t).indexOf(e);var r=t.split(","),i,s;while(t=r.pop()){i=_.g(t)||_.s(t,t.split(N)),s=t.match(T),i=i.slice(0);if(I.apply(e,F(i.pop()))&&(!i.length||W(e,i,s,n)))return!0}return!1}function W(e,t,n,r){function s(e,r,o){while(o=k[n[r]](o,e))if(X(o)&&I.apply(o,F(t[r]))){if(!r)return o;if(i=s(o,r-1,o))return i}}var i;return(i=s(e,t.length-1,e))&&(!r||Y(i,r))}function X(e,t){return e&&typeof e=="object"&&(t=e[u])&&(t==1||t==9)}function V(e){var t=[],n,r;e:for(n=0;n<e.length;++n){for(r=0;r<t.length;++r)if(t[r]==e[n])continue e;t[t.length]=e[n]}return t}function $(e){return typeof e=="object"&&isFinite(e.length)}function J(t){return t?typeof t=="string"?Q(t)[0]:!t[u]&&$(t)?t[0]:t:e}function K(e,t,n){return e[u]===9?e.getElementById(t):e.ownerDocument&&((n=e.ownerDocument.getElementById(t))&&Y(n,e)&&n||!Y(e,e.ownerDocument)&&a('[id="'+t+'"]',e)[0])}function Q(e,t){var i,s,o=J(t);if(!o||!e)return[];if(e===window||X(e))return!t||e!==window&&X(o)&&Y(e,o)?[e]:[];if(e&&$(e))return H(e);if(i=e.match(x)){if(i[1])return(s=K(o,i[1]))?[s]:[];if(i[2])return B(o[r](i[2]));if(et&&i[3])return B(o[n](i[3]))}return a(e,o)}function G(e,t){return function(n){var r,i;if(v.test(n)){e[u]!==9&&((i=r=e.getAttribute("id"))||e.setAttribute("id",i="__qwerymeupscotty"),n='[id="'+i+'"]'+n,t(e.parentNode||e,n,!0),r||e.removeAttribute("id"));return}n.length&&t(e,n,!1)}}var e=document,t=e.documentElement,n="getElementsByClassName",r="getElementsByTagName",i="querySelectorAll",s="useNativeQSA",o="tagName",u="nodeType",a,f=/#([\w\-]+)/,l=/\.[\w\-]+/g,c=/^#([\w\-]+)$/,h=/^\.([\w\-]+)$/,p=/^([\w\-]+)$/,d=/^([\w]+)?\.([\w\-]+)$/,v=/(^|,)\s*[>~+]/,m=/^\s+|\s*([,\s\+\~>]|$)\s*/g,g=/[\s\>\+\~]/,y=/(?![\s\w\-\/\?\&\=\:\.\(\)\!,@#%<>\{\}\$\*\^'"]*\]|[\s\w\+\-]*\))/,b=/([.*+?\^=!:${}()|\[\]\/\\])/g,w=/^(\*|[a-z0-9]+)?(?:([\.\#]+[\w\-\.#]+)?)/,E=/\[([\w\-]+)(?:([\|\^\$\*\~]?\=)['"]?([ \w\-\/\?\&\=\:\.\(\)\!,@#%<>\{\}\$\*\^]+)["']?)?\]/,S=/:([\w\-]+)(\(['"]?([^()]+)['"]?\))?/,x=new RegExp(c.source+"|"+p.source+"|"+h.source),T=new RegExp("("+g.source+")"+y.source,"g"),N=new RegExp(g.source+y.source),C=new RegExp(w.source+"("+E.source+")?"+"("+S.source+")?"),k={" ":function(e){return e&&e!==t&&e.parentNode},">":function(e,t){return e&&e.parentNode==t.parentNode&&e.parentNode},"~":function(e){return e&&e.previousSibling},"+":function(e,t,n,r){return e?(n=j(e))&&(r=j(t))&&n==r&&n:!1}};L.prototype={g:function(e){return this.c[e]||undefined},s:function(e,t,n){return t=n?new RegExp(t):t,this.c[e]=t}};var A=new L,O=new L,M=new L,_=new L,Y="compareDocumentPosition"in t?function(e,t){return(t.compareDocumentPosition(e)&16)==16}:"contains"in t?function(e,n){return n=n[u]===9||n==window?t:n,n!==e&&n.contains(e)}:function(e,t){while(e=e.parentNode)if(e===t)return 1;return 0},Z=function(){var t=e.createElement("p");return(t.innerHTML='<a href="#x">x</a>')&&t.firstChild.getAttribute("href")!="#x"?function(e,t){return t==="class"?e.className:t==="href"||t==="src"?e.getAttribute(t,2):e.getAttribute(t)}:function(e,t){return e.getAttribute(t)}}(),et=!!e[n],tt=e.querySelector&&e[i],nt=function(e,t){var n=[],r,s;try{return t[u]===9||!v.test(e)?B(t[i](e)):(P(r=e.split(","),G(t,function(e,t){s=e[i](t),s.length==1?n[n.length]=s.item(0):s.length&&(n=n.concat(B(s)))})),r.length>1&&n.length>1?V(n):n)}catch(o){}return rt(e,t)},rt=function(e,t){var n=[],i,s,o,a,f,l;e=e.replace(m,"$1");if(s=e.match(d)){f=D(s[2]),i=t[r](s[1]||"*");for(o=0,a=i.length;o<a;o++)f.test(i[o].className)&&(n[n.length]=i[o]);return n}return P(l=e.split(","),G(t,function(e,r,i){f=U(r,e);for(o=0,a=f.length;o<a;o++)if(e[u]===9||i||Y(f[o],t))n[n.length]=f[o]})),l.length>1&&n.length>1?V(n):n},it=function(e){typeof e[s]!="undefined"&&(a=e[s]?tt?nt:rt:rt)};return it({useNativeQSA:!0}),Q.configure=it,Q.uniq=V,Q.is=z,Q.pseudos={},Q},this),!function(e,t,n){typeof module!="undefined"?module.exports=n(e,t):typeof define=="function"&&typeof define.amd=="object"?define(n):t[e]=n(e,t)}("bean",this,function(e,t){var n=window,r=t[e],i=/over|out/,s=/[^\.]*(?=\..*)\.|.*/,o=/\..*/,u="addEventListener",a="attachEvent",f="removeEventListener",l="detachEvent",c="ownerDocument",h="target",p="querySelectorAll",d=document||{},v=d.documentElement||{},m=v[u],g=m?u:a,y=Array.prototype.slice,b=/click|mouse(?!(.*wheel|scroll))|menu|drag|drop/i,w=/mouse.*(wheel|scroll)/i,E=/^text/i,S=/^touch|^gesture/i,x={},T=function(e,t,n){for(n=0;n<t.length;n++)e[t[n]]=1;return e}({},("click dblclick mouseup mousedown contextmenu mousewheel mousemultiwheel DOMMouseScroll mouseover mouseout mousemove selectstart selectend keydown keypress keyup orientationchange focus blur change reset select submit load unload beforeunload resize move DOMContentLoaded readystatechange message error abort scroll "+(m?"show input invalid touchstart touchmove touchend touchcancel gesturestart gesturechange gestureend readystatechange pageshow pagehide popstate hashchange offline online afterprint beforeprint dragstart dragenter dragover dragleave drag drop dragend loadstart progress suspend emptied stalled loadmetadata loadeddata canplay canplaythrough playing waiting seeking seeked ended durationchange timeupdate play pause ratechange volumechange cuechange checking noupdate downloading cached updateready obsolete ":"")).split(" ")),N=function(){function n(e){var n=e.relatedTarget;return n?n!==this&&n.prefix!=="xul"&&!/document/.test(this.toString())&&!t(n,this):n===null}var e="compareDocumentPosition",t=e in v?function(t,n){return n[e]&&(n[e](t)&16)===16}:"contains"in v?function(e,t){return t=t.nodeType===9||t===window?v:t,t!==e&&t.contains(e)}:function(e,t){while(e=e.parentNode)if(e===t)return 1;return 0};return{mouseenter:{base:"mouseover",condition:n},mouseleave:{base:"mouseout",condition:n},mousewheel:{base:/Firefox/.test(navigator.userAgent)?"DOMMouseScroll":"mousewheel"}}}(),C=function(){var e="altKey attrChange attrName bubbles cancelable ctrlKey currentTarget detail eventPhase getModifierState isTrusted metaKey relatedNode relatedTarget shiftKey srcElement target timeStamp type view which".split(" "),t=e.concat("button buttons clientX clientY dataTransfer fromElement offsetX offsetY pageX pageY screenX screenY toElement".split(" ")),n=t.concat("wheelDelta wheelDeltaX wheelDeltaY wheelDeltaZ axis".split(" ")),r=e.concat("char charCode key keyCode keyIdentifier keyLocation".split(" ")),s=e.concat(["data"]),o=e.concat("touches targetTouches changedTouches scale rotation".split(" ")),u=e.concat(["data","origin","source"]),a="preventDefault",f=function(e){return function(){e[a]?e[a]():e.returnValue=!1}},l="stopPropagation",c=function(e){return function(){e[l]?e[l]():e.cancelBubble=!0}},p=function(e){return function(){e[a](),e[l](),e.stopped=!0}},m=function(e,t,n){var r,i;for(r=n.length;r--;)i=n[r],!(i in t)&&i in e&&(t[i]=e[i])};return function(g,y){var x={originalEvent:g,isNative:y};if(!g)return x;var T,N=g.type,C=g[h]||g.srcElement;x[a]=f(g),x[l]=c(g),x.stop=p(x),x[h]=C&&C.nodeType===3?C.parentNode:C;if(y){if(N.indexOf("key")!==-1)T=r,x.keyCode=g.keyCode||g.which;else if(b.test(N)){T=t,x.rightClick=g.which===3||g.button===2,x.pos={x:0,y:0};if(g.pageX||g.pageY)x.clientX=g.pageX,x.clientY=g.pageY;else if(g.clientX||g.clientY)x.clientX=g.clientX+d.body.scrollLeft+v.scrollLeft,x.clientY=g.clientY+d.body.scrollTop+v.scrollTop;i.test(N)&&(x.relatedTarget=g.relatedTarget||g[(N==="mouseover"?"from":"to")+"Element"])}else S.test(N)?T=o:w.test(N)?T=n:E.test(N)?T=s:N==="message"&&(T=u);m(g,x,T||e)}return x}}(),k=function(e,t){return!m&&!t&&(e===d||e===n)?v:e},L=function(){function e(e,t,n,r,i){var s=this.isNative=T[t]&&e[g];this.element=e,this.type=t,this.handler=n,this.original=r,this.namespaces=i,this.custom=N[t],this.eventType=m||s?t:"propertychange",this.customType=!m&&!s&&t,this[h]=k(e,s),this[g]=this[h][g]}return e.prototype={inNamespaces:function(e){var t,n;if(!e)return!0;if(!this.namespaces)return!1;for(t=e.length;t--;)for(n=this.namespaces.length;n--;)if(e[t]===this.namespaces[n])return!0;return!1},matches:function(e,t,n){return this.element===e&&(!t||this.original===t)&&(!n||this.handler===n)}},e}(),A=function(){var e={},t=function(n,r,i,s,o){if(!r||r==="*")for(var u in e)u.charAt(0)==="$"&&t(n,u.substr(1),i,s,o);else{var a=0,f,l=e["$"+r],c=n==="*";if(!l)return;for(f=l.length;a<f;a++)if(c||l[a].matches(n,i,s))if(!o(l[a],l,a,r))return}},n=function(t,n,r){var i,s=e["$"+n];if(s)for(i=s.length;i--;)if(s[i].matches(t,r,null))return!0;return!1},r=function(e,n,r){var i=[];return t(e,n,r,null,function(e){return i.push(e)}),i},i=function(t){return(e["$"+t.type]||(e["$"+t.type]=[])).push(t),t},s=function(n){t(n.element,n.type,null,n.handler,function(t,n,r){return n.splice(r,1),n.length===0&&delete e["$"+t.type],!1})},o=function(){var t,n=[];for(t in e)t.charAt(0)==="$"&&(n=n.concat(e[t]));return n};return{has:n,get:r,put:i,del:s,entries:o}}(),O=d[p]?function(e,t){return t[p](e)}:function(){throw new Error("Bean: No selector engine installed")},M=function(e){O=e},_=m?function(e,t,n,r){e[r?u:f](t,n,!1)}:function(e,t,n,r,i){i&&r&&e["_on"+i]===null&&(e["_on"+i]=0),e[r?a:l]("on"+t,n)},D=function(e,t,r){var i=t.__beanDel,s=function(s){return s=C(s||((this[c]||this.document||this).parentWindow||n).event,!0),i&&(s.currentTarget=i.ft(s[h],e)),t.apply(e,[s].concat(r))};return s.__beanDel=i,s},P=function(e,t,r,i,s,o){var u=t.__beanDel,a=function(a){var f=u?u.ft(a[h],e):this;if(i?i.apply(f,arguments):m?!0:a&&a.propertyName==="_on"+r||!a)a&&(a=C(a||((this[c]||this.document||this).parentWindow||n).event,o),a.currentTarget=f),t.apply(e,a&&(!s||s.length===0)?arguments:y.call(arguments,a?0:1).concat(s))};return a.__beanDel=u,a},H=function(e,t,n,r,i){return function(){e(t,n,i),r.apply(this,arguments)}},B=function(e,t,n,r){var i,s,u,a=t&&t.replace(o,""),f=A.get(e,a,n);for(i=0,s=f.length;i<s;i++)f[i].inNamespaces(r)&&((u=f[i])[g]&&_(u[h],u.eventType,u.handler,!1,u.type),A.del(u))},j=function(e,t,n,r,i){var u,a=t.replace(o,""),f=t.replace(s,"").split(".");if(A.has(e,a,n))return e;a==="unload"&&(n=H(B,e,a,n,r)),N[a]&&(N[a].condition&&(n=P(e,n,a,N[a].condition,i,!0)),a=N[a].base||a),u=A.put(new L(e,a,n,r,f[0]&&f)),u.handler=u.isNative?D(e,u.handler,i):P(e,u.handler,a,!1,i,!1),u[g]&&_(u[h],u.eventType,u.handler,!0,u.customType)},F=function(e,t,n){var r=function(t,r){var i,s=typeof e=="string"?n(e,r):e;for(;t&&t!==r;t=t.parentNode)for(i=s.length;i--;)if(s[i]===t)return t},i=function(e){var n=r(e[h],this);n&&t.apply(n,arguments)};return i.__beanDel={ft:r,selector:e,$:n},i},I=function(e,t,n){var r,i,u,a,f=B,l=t&&typeof t=="string";if(l&&t.indexOf(" ")>0){t=t.split(" ");for(a=t.length;a--;)I(e,t[a],n);return e}i=l&&t.replace(o,""),i&&N[i]&&(i=N[i].type);if(!t||l){if(u=l&&t.replace(s,""))u=u.split(".");f(e,i,n,u)}else if(typeof t=="function")f(e,null,t);else for(r in t)t.hasOwnProperty(r)&&I(e,r,t[r]);return e},q=function(e,t,n,r,i){var s,o,u,a,f=n,l=n&&typeof n=="string";if(t&&!n&&typeof t=="object")for(s in t)t.hasOwnProperty(s)&&q.apply(this,[e,s,t[s]]);else{a=arguments.length>3?y.call(arguments,3):[],o=(l?n:t).split(" "),l&&(n=F(t,f=r,i||O))&&(a=y.call(a,1)),this===x&&(n=H(I,e,t,n,f));for(u=o.length;u--;)j(e,o[u],n,f,a)}return e},R=function(){return q.apply(x,arguments)},U=m?function(e,t,r){var i=d.createEvent(e?"HTMLEvents":"UIEvents");i[e?"initEvent":"initUIEvent"](t,!0,!0,n,1),r.dispatchEvent(i)}:function(e,t,n){n=k(n,e),e?n.fireEvent("on"+t,d.createEventObject()):n["_on"+t]++},z=function(e,t,n){var r,i,u,a,f,l=t.split(" ");for(r=l.length;r--;){t=l[r].replace(o,"");if(a=l[r].replace(s,""))a=a.split(".");if(!a&&!n&&e[g])U(T[t],t,e);else{f=A.get(e,t),n=[!1].concat(n);for(i=0,u=f.length;i<u;i++)f[i].inNamespaces(a)&&f[i].handler.apply(e,n)}}return e},W=function(e,t,n){var r=0,i=A.get(t,n),s=i.length,o,u;for(;r<s;r++)i[r].original&&(u=i[r].handler.__beanDel,u?o=[e,u.selector,i[r].type,i[r].original,u.$]:o=[e,i[r].type,i[r].original],q.apply(null,o));return e},X={add:q,one:R,remove:I,clone:W,fire:z,setSelectorEngine:M,noConflict:function(){return t[e]=r,this}};if(n[a]){var V=function(){var e,t=A.entries();for(e in t)t[e].type&&t[e].type!=="unload"&&I(t[e].element,t[e].type);n[l]("onunload",V),n.CollectGarbage&&n.CollectGarbage()};n[a]("onunload",V)}return X}),function(e,t,n){typeof module!="undefined"&&module.exports?module.exports=t():typeof n["define"]=="function"&&n.define.amd?define(e,t):n[e]=t()}("bonzo",function(){function _(e){return new RegExp("(^|\\s+)"+e+"(\\s+|$)")}function D(e,t,n){for(var r=0,i=e.length;r<i;r++)t.call(n||e[r],e[r],r,e);return e}function P(e,t,n){for(var r=0,i=e.length;r<i;r++)q(e[r])&&(P(e[r].childNodes,t,n),t.call(n||e[r],e[r],r,e));return e}function H(e){return e.replace(/-(.)/g,function(e,t){return t.toUpperCase()})}function B(e){return e?e.replace(/([a-z])([A-Z])/g,"$1-$2").toLowerCase():e}function j(e){e[T]("data-node-uid")||e[x]("data-node-uid",++b);var t=e[T]("data-node-uid");return y[t]||(y[t]={})}function F(e){var t=e[T]("data-node-uid");t&&delete y[t]}function I(e){var t;try{return e===null||e===undefined?undefined:e==="true"?!0:e==="false"?!1:e==="null"?null:(t=parseFloat(e))==e?t:e}catch(n){}return undefined}function q(e){return e&&e.nodeName&&(e.nodeType==1||e.nodeType==11)}function R(e,t,n){for(var r=0,i=e.length;r<i;++r)if(t.call(n||null,e[r],r,e))return!0;return!1}function U(e){return e=="transform"&&(e=C.transform)||/^transform-?[Oo]rigin$/.test(e)&&(e=C.transform+"Origin")||e=="float"&&(e=C.cssFloat),e?H(e):null}function W(e,t,n){var r=0,o=t||this,u=[],a=s&&typeof e=="string"&&e.charAt(0)!="<"?s(e):e;return D(J(a),function(e){D(o,function(t){var s=!t[i]||t[i]&&!t[i][i]?function(){var e=t.cloneNode(!0),n,r;if(o.$&&typeof o.cloneEvents=="function"){o.$(e).cloneEvents(t),n=o.$(e).find("*"),r=o.$(t).find("*");for(var i=0;i<r.length;i++)o.$(n[i]).cloneEvents(r[i])}return e}():t;n(e,s),u[r]=s,r++})},this),D(u,function(e,t){o[t]=e}),o.length=r,o}function X(e,t,n){var r=Y(e),i=r.css("position"),s=r.offset(),o="relative",u=i==o,a=[parseInt(r.css("left"),10),parseInt(r.css("top"),10)];i=="static"&&(r.css("position",o),i=o),isNaN(a[0])&&(a[0]=u?0:e.offsetLeft),isNaN(a[1])&&(a[1]=u?0:e.offsetTop),t!=null&&(e.style.left=t-s.left+a[0]+S),n!=null&&(e.style.top=n-s.top+a[1]+S)}function V(e,t){return typeof t=="function"?t(e):t}function $(e){this.length=0;if(e){e=typeof e!="string"&&!e.nodeType&&typeof e.length!="undefined"?e:[e],this.length=e.length;for(var t=0;t<e.length;t++)this[t]=e[t]}}function J(e){return typeof e=="string"?Y.create(e):q(e)?[e]:e}function K(e,n,r){var i=this[0];return i?e==null&&n==null?(Q(i)?G():{x:i.scrollLeft,y:i.scrollTop})[r]:(Q(i)?t.scrollTo(e,n):(e!=null&&(i.scrollLeft=e),n!=null&&(i.scrollTop=n)),this):this}function Q(e){return e===t||/^(?:body|html)$/i.test(e.tagName)}function G(){return{x:t.pageXOffset||r.scrollLeft,y:t.pageYOffset||r.scrollTop}}function Y(e){return new $(e)}var e=this,t=window,n=t.document,r=n.documentElement,i="parentNode",s=null,o=/^(checked|value|selected)$/i,u=/^(select|fieldset|table|tbody|tfoot|td|tr|colgroup)$/i,a=["<table>","</table>",1],f=["<table><tbody><tr>","</tr></tbody></table>",3],l=["<select>","</select>",1],c=["_","",0,1],h={thead:a,tbody:a,tfoot:a,colgroup:a,caption:a,tr:["<table><tbody>","</tbody></table>",2],th:f,td:f,col:["<table><colgroup>","</colgroup></table>",2],fieldset:["<form>","</form>",1],legend:["<form><fieldset>","</fieldset></form>",2],option:l,optgroup:l,script:c,style:c,link:c,param:c,base:c},p=/^(checked|selected)$/,d=/msie/i.test(navigator.userAgent),v,m,g,y={},b=0,w=/^-?[\d\.]+$/,E=/^data-(.+)$/,S="px",x="setAttribute",T="getAttribute",N="getElementsByTagName",C=function(){var e=n.createElement("p");return e.innerHTML='<a href="#x">x</a><table style="float:left;"></table>',{hrefExtended:e[N]("a")[0][T]("href")!="#x",autoTbody:e[N]("tbody").length!==0,computedStyle:n.defaultView&&n.defaultView.getComputedStyle,cssFloat:e[N]("table")[0].style.styleFloat?"styleFloat":"cssFloat",transform:function(){var t=["webkitTransform","MozTransform","OTransform","msTransform","Transform"],n;for(n=0;n<t.length;n++)if(t[n]in e.style)return t[n]}(),classList:"classList"in e,opasity:function(){return typeof n.createElement("a").style.opacity!="undefined"}()}}(),k=/(^\s*|\s*$)/g,L=/\s+/,A=String.prototype.toString,O={lineHeight:1,zoom:1,zIndex:1,opacity:1,boxFlex:1,WebkitBoxFlex:1,MozBoxFlex:1},M=String.prototype.trim?function(e){return e.trim()}:function(e){return e.replace(k,"")},z=C.computedStyle?function(e,t){var r=null,i=n.defaultView.getComputedStyle(e,"");return i&&(r=i[t]),e.style[t]||r}:d&&r.currentStyle?function(e,t){if(t=="opacity"&&!C.opasity){var n=100;try{n=e.filters["DXImageTransform.Microsoft.Alpha"].opacity}catch(r){try{n=e.filters("alpha").opacity}catch(i){}}return n/100}var s=e.currentStyle?e.currentStyle[t]:null;return e.style[t]||s}:function(e,t){return e.style[t]};return C.classList?(v=function(e,t){return e.classList.contains(t)},m=function(e,t){e.classList.add(t)},g=function(e,t){e.classList.remove(t)}):(v=function(e,t){return _(t).test(e.className)},m=function(e,t){e.className=M(e.className+" "+t)},g=function(e,t){e.className=M(e.className.replace(_(t)," "))}),$.prototype={get:function(e){return this[e]||null},each:function(e,t){return D(this,e,t)},deepEach:function(e,t){return P(this,e,t)},map:function(e,t){var n=[],r,i;for(i=0;i<this.length;i++)r=e.call(this,this[i],i),t?t(r)&&n.push(r):n.push(r);return n},html:function(e,t){function i(t){D(J(e),function(e){t.appendChild(e)})}var n=t?r.textContent===undefined?"innerText":"textContent":"innerHTML";return typeof e!="undefined"?this.empty().each(function(r){!t&&u.test(r.tagName)?i(r):function(){try{r[n]=e}catch(t){i(r)}}()}):this[0]?this[0][n]:""},text:function(e){return this.html(e,!0)},append:function(e){return this.each(function(t){D(J(e),function(e){t.appendChild(e)})})},prepend:function(e){return this.each(function(t){var n=t.firstChild;D(J(e),function(e){t.insertBefore(e,n)})})},appendTo:function(e,t){return W.call(this,e,t,function(e,t){e.appendChild(t)})},prependTo:function(e,t){return W.call(this,e,t,function(e,t){e.insertBefore(t,e.firstChild)})},before:function(e){return this.each(function(t){D(Y.create(e),function(e){t[i].insertBefore(e,t)})})},after:function(e){return this.each(function(t){D(Y.create(e),function(e){t[i].insertBefore(e,t.nextSibling)})})},insertBefore:function(e,t){return W.call(this,e,t,function(e,t){e[i].insertBefore(t,e)})},insertAfter:function(e,t){return W.call(this,e,t,function(e,t){var n=e.nextSibling;n?e[i].insertBefore(t,n):e[i].appendChild(t)})},replaceWith:function(e){return this.deepEach(F),this.each(function(t){t.parentNode.replaceChild(Y.create(e)[0],t)})},addClass:function(e){return e=A.call(e).split(L),this.each(function(t){D(e,function(e){e&&!v(t,V(t,e))&&m(t,V(t,e))})})},removeClass:function(e){return e=A.call(e).split(L),this.each(function(t){D(e,function(e){e&&v(t,V(t,e))&&g(t,V(t,e))})})},hasClass:function(e){return e=A.call(e).split(L),R(this,function(t){return R(e,function(e){return e&&v(t,e)})})},toggleClass:function(e,t){return e=A.call(e).split(L),this.each(function(n){D(e,function(e){e&&(typeof t!="undefined"?t?m(n,e):g(n,e):v(n,e)?g(n,e):m(n,e))})})},show:function(e){return this.each(function(t){t.style.display=e||""})},hide:function(){return this.each(function(e){e.style.display="none"})},toggle:function(e,t){return this.each(function(e){e.style.display=e.offsetWidth||e.offsetHeight?"none":t||""}),e&&e(),this},first:function(){return Y(this.length?this[0]:[])},last:function(){return Y(this.length?this[this.length-1]:[])},next:function(){return this.related("nextSibling")},previous:function(){return this.related("previousSibling")},parent:function(){return this.related(i)},related:function(e){return this.map(function(t){t=t[e];while(t&&t.nodeType!==1)t=t[e];return t||0},function(e){return e})},focus:function(){return this.length&&this[0].focus(),this},blur:function(){return this.length&&this[0].blur(),this},css:function(e,r){function o(e,t,n){for(var r in s)s.hasOwnProperty(r)&&(n=s[r],(t=U(r))&&w.test(n)&&!(t in O)&&(n+=S),e.style[t]=V(e,n))}var i;if(r===undefined&&typeof e=="string")return r=this[0],r?r===n||r===t?(i=r===n?Y.doc():Y.viewport(),e=="width"?i.width:e=="height"?i.height:""):(e=U(e))?z(r,e):null:null;var s=e;return typeof e=="string"&&(s={},s[e]=r),d&&s.opacity&&(s.filter="alpha(opacity="+s.opacity*100+")",s.zoom=e.zoom||1,delete s.opacity),this.each(o)},offset:function(e,t){if(typeof e=="number"||typeof t=="number")return this.each(function(n){X(n,e,t)});if(!this[0])return{top:0,left:0,height:0,width:0};var r=this[0],i=r.offsetWidth,s=r.offsetHeight,o=r.offsetTop,u=r.offsetLeft;while(r=r.offsetParent)o+=r.offsetTop,u+=r.offsetLeft,r!=n.body&&(o-=r.scrollTop,u-=r.scrollLeft);return{top:o,left:u,height:s,width:i}},dim:function(){if(!this.length)return{height:0,width:0};var e=this[0],t=!e.offsetWidth&&!e.offsetHeight?function(t){var n={position:e.style.position||"",visibility:e.style.visibility||"",display:e.style.display||""};return t.first().css({position:"absolute",visibility:"hidden",display:"block"}),n}(this):null,n=e.offsetWidth,r=e.offsetHeight;return t&&this.first().css(t),{height:r,width:n}},attr:function(e,t){var n=this[0];if(typeof e=="string"||e instanceof String)return typeof t=="undefined"?n?o.test(e)?p.test(e)&&typeof n[e]=="string"?!0:n[e]:e!="href"&&e!="src"||!C.hrefExtended?n[T](e):n[T](e,2):null:this.each(function(n){o.test(e)?n[e]=V(n,t):n[x](e,V(n,t))});for(var r in e)e.hasOwnProperty(r)&&this.attr(r,e[r]);return this},removeAttr:function(e){return this.each(function(t){p.test(e)?t[e]=!1:t.removeAttribute(e)})},val:function(e){return typeof e=="string"?this.attr("value",e):this.length?this[0].value:null},data:function(e,t){var n=this[0],r,i,s;return typeof t=="undefined"?n?(i=j(n),typeof e=="undefined"?(D(n.attributes,function(e){(s=(""+e.name).match(E))&&(i[H(s[1])]=I(e.value))}),i):(typeof i[e]=="undefined"&&(i[e]=I(this.attr("data-"+B(e)))),i[e])):null:this.each(function(n){j(n)[e]=t})},remove:function(){return this.deepEach(F),this.each(function(e){e[i]&&e[i].removeChild(e)})},empty:function(){return this.each(function(e){P(e.childNodes,F);while(e.firstChild)e.removeChild(e.firstChild)})},detach:function(){return this.each(function(e){e[i].removeChild(e)})},scrollTop:function(e){return K.call(this,null,e,"y")},scrollLeft:function(e){return K.call(this,e,null,"x")}},Y.setQueryEngine=function(e){s=e,delete Y.setQueryEngine},Y.aug=function(e,t){for(var n in e)e.hasOwnProperty(n)&&((t||$.prototype)[n]=e[n])},Y.create=function(e){return typeof e=="string"&&e!==""?function(){var t=/^\s*<([^\s>]+)/.exec(e),r=n.createElement("div"),s=[],o=t?h[t[1].toLowerCase()]:null,u=o?o[2]+1:1,a=o&&o[3],f=i,l=C.autoTbody&&o&&o[0]=="<table>"&&!/<tbody/i.test(e);r.innerHTML=o?o[0]+e+o[1]:e;while(u--)r=r.firstChild;a&&r&&r.nodeType!==1&&(r=r.nextSibling);do(!t||r.nodeType==1)&&(!l||r.tagName.toLowerCase()!="tbody")&&s.push(r);while(r=r.nextSibling);return D(s,function(e){e[f]&&e[f].removeChild(e)}),s}():q(e)?[e.cloneNode(!0)]:[]},Y.doc=function(){var e=Y.viewport();return{width:Math.max(n.body.scrollWidth,r.scrollWidth,e.width),height:Math.max(n.body.scrollHeight,r.scrollHeight,e.height)}},Y.firstChild=function(e){for(var t=e.childNodes,n=0,r=t&&t.length||0,i;n<r;n++)t[n].nodeType===1&&(i=t[r=n]);return i},Y.viewport=function(){return{width:d?r.clientWidth:self.innerWidth,height:d?r.clientHeight:self.innerHeight}},Y.isAncestor="compareDocumentPosition"in r?function(e,t){return(e.compareDocumentPosition(t)&16)==16}:"contains"in r?function(e,t){return e!==t&&e.contains(t)}:function(e,t){while(t=t[i])if(t===e)return!0;return!1},Y},this),!function(e,t){typeof define=="function"?define(t):typeof module!="undefined"&&module.exports?module.exports.browser=t():this[e]=t()}("bowser",function(){function m(){if(n)return{msie:t,version:e.match(/msie (\d+(\.\d+)?);/i)[1]};if(r)return{webkit:t,chrome:t,version:e.match(/chrome\/(\d+(\.\d+)?)/i)[1]};if(i)return{webkit:t,phantom:t,version:e.match(/phantomjs\/(\d+(\.\d+)+)/i)[1]};if(a)return{webkit:t,touchpad:t,version:e.match(/touchpad\/(\d+(\.\d+)?)/i)[1]};if(o||u)return v={webkit:t,mobile:t,ios:t,iphone:o,ipad:u},d.test(e)&&(v.version=e.match(d)[1]),v;if(d.test(e)){if(f)return{webkit:t,android:t,mobile:t,version:e.match(d)[1]};if(s)return{webkit:t,safari:t,version:e.match(d)[1]};if(l)return{opera:t,version:e.match(d)[1]}}if(h)return v={gecko:t,mozilla:t,version:e.match(/firefox\/(\d+(\.\d+)?)/i)[1]},c&&(v.firefox=t),f&&(v.android=t,v.mobile=t),v;if(p)return{seamonkey:t,version:e.match(/seamonkey\/(\d+(\.\d+)?)/i)[1]}}var e=navigator.userAgent,t=!0,n=/msie/i.test(e),r=/chrome/i.test(e),i=/phantom/i.test(e),s=/safari/i.test(e)&&!r&&!i,o=/iphone/i.test(e),u=/ipad/i.test(e),a=/touchpad/i.test(e),f=/android/i.test(e),l=/opera/i.test(e),c=/firefox/i.test(e),h=/gecko\//i.test(e),p=/seamonkey\//i.test(e),d=/version\/(\d+(\.\d+)?)/i,v,g=m();return g.msie&&g.version>=7||g.chrome&&g.version>=10||g.firefox&&g.version>=4||g.safari&&g.version>=5||g.
opera&&g.version>=10?g.a=t:g.msie&&g.version<7||g.chrome&&g.version<10||g.firefox&&g.version<4||g.safari&&g.version<5||g.opera&&g.version<10?g.c=t:g.x=t,g}),function(){var e=[].slice;window._altmetric||(window._altmetric={}),window._altmetric_log_shim=function(){var t;t=1<=arguments.length?e.call(arguments,0):[]},window._altmetric._assert_shim=function(){var t;t=1<=arguments.length?e.call(arguments,0):[]}}.call(this),Array.prototype.reduce||(Array.prototype.reduce=function(t){if(this===null||this===undefined)throw new TypeError("Object is null or undefined");var n=0,r=this.length>>0,i;if(typeof t!="function")throw new TypeError("First argument is not callable");if(arguments.length<2){if(r===0)throw new TypeError("Array length is 0 and no second argument");i=this[0],n=1}else i=arguments[1];while(n<r)n in this&&(i=t.call(undefined,i,this[n],n,this)),++n;return i}),function(){Array.prototype.toDict=function(){return this.reduce(function(e,t){return e[t[0]]=t[1],e},{})},Array.prototype.first=function(){if(this.length>0)return this[0]}}.call(this),function(){var e;window._altmetric||(window._altmetric={}),(e=window._altmetric).init_run||(e.init_run=!1)}.call(this),function(){var e,t,n,r;window._altmetric||(window._altmetric={}),n=_altmetric_log_shim,window._altmetric.extractDOI=e=function(e){var t;return e!=null?(t=e.match(/(10\.\d{4}\/.+)$/g))!=null?t[0]:void 0:void 0},window._altmetric.metaValue=r=function(t){var r,i,s;return s=function(){var e,n,i,s,o;i=document.getElementsByTagName("meta"),o=[];for(e=0,n=i.length;e<n;e++)r=i[e],((s=r.getAttribute("name"))!=null?s.toLowerCase():void 0)===t.toLowerCase()&&o.push(r.getAttribute("content"));return o}(),s=function(){var t,n,r;r=[];for(t=0,n=s.length;t<n;t++)i=s[t],i!=null&&e(i)!=null&&r.push(e(i));return r}(),n(s),s.length>0?s[0]:void 0},window._altmetric.findDOI=t=function(e){var t;return(t=r("citation_doi"))?t:(t=r("DC.Identifier"))?t:(t=r("rft_id"))?t:(n("could not find a DOI"),e)}}.call(this),window._altmetric||(window._altmetric={}),window._altmetric.sources=[{id:1,light_colour:"#74CFED",dark_colour:"#2F90B9",name:"Twitter",code:"t",fetch_api_key:"twitter",tab_label:"Twitter",tab_id:"twitter",user_label_plural:"tweeters",user_label:"tweeter",post_types:["tweet"],position:0,basic_api_key:"tweeters",legend_text:"Tweeted by **COUNT**"},{id:2,light_colour:"#FFD140",dark_colour:"#FFC200",name:"Blogs",code:"b",fetch_api_key:"blogs",tab_label:"Blogs",tab_id:"blogs",user_label_plural:"science blogs",user_label:"science blog",post_types:["blog"],position:1,basic_api_key:"feeds",legend_text:"Blogged by **COUNT**"},{id:3,light_colour:"#2445BD",dark_colour:"#071D70",name:"Facebook",code:"f",fetch_api_key:"facebook",tab_label:"Facebook",tab_id:"facebook",user_label_plural:"Facebook users",user_label:"Facebook user",post_types:["fbwall"],position:2,basic_api_key:"fbwalls",legend_text:"On **COUNT** Facebook page(s)"},{id:4,light_colour:"#E065BB",dark_colour:"#912470",name:"Google+",code:"g",fetch_api_key:"googleplus",tab_label:"Google+",tab_id:"gplus",user_label_plural:"Google+ users",user_label:"Google+ user",post_types:["gplus"],position:3,basic_api_key:"gplus",legend_text:"Mentioned in **COUNT** Google+ post(s)"},{id:5,light_colour:"#FF0000",dark_colour:"#B60000",name:"News",code:"m",fetch_api_key:"news",tab_label:"News",tab_id:"msm",user_label_plural:"news outlets",user_label:"news outlet",post_types:["msm"],position:4,basic_api_key:"msm",legend_text:"Picked up by **COUNT** news outlet(s)"},{id:6,light_colour:"#1E90FF",dark_colour:"#00BFFF",name:"LinkedIn",code:"l",fetch_api_key:"linkedin",tab_label:"LinkedIn",tab_id:"linkedin",user_label_plural:"LinkedIn users",user_label:"LinkedIn user",post_types:["linkedin"],position:5,basic_api_key:"linkedin",legend_text:"Mentioned in **COUNT** LinkedIn forum(s)"},{id:7,light_colour:"#D5E8F0",dark_colour:"#B9DDEB",name:"Reddit",code:"r",fetch_api_key:"reddit",tab_label:"Reddit",tab_id:"reddit",user_label_plural:"Redditors",user_label:"Redditor",post_types:["rdt"],position:6,basic_api_key:"rdts",legend_text:"Reddited by **COUNT**"},{id:8,light_colour:"#F4006E",dark_colour:"#CB2D2D",name:"F1000",code:"1",fetch_api_key:"f1000",tab_label:"f1000",tab_id:"highlights",user_label_plural:"Highlights &amp; reviews",user_label:"Highlights &amp; review",post_types:["rh","f1000"],position:7,basic_api_key:"f1000",legend_text:"Has a F1000 review"},{id:9,light_colour:"#CC6600",dark_colour:"#CC3300",name:"Pinterest",code:"p",fetch_api_key:"pinterest",tab_label:"Pinterest",tab_id:"pinterest",user_label_plural:"Pinners",user_label:"Pinner",post_types:["pinterest"],position:8,basic_api_key:"pinners",legend_text:"Pinned by **COUNT** on Pinterest"},{id:10,light_colour:"#DEDEDE",dark_colour:"#EFEFEF",name:"QnA",code:"q",fetch_api_key:"q&a",tab_label:"Q&A",tab_id:"qna",user_label_plural:"Q&A threads",user_label:"Q&A thread",post_types:["qna"],position:9,basic_api_key:"qna",legend_text:"Mentioned in **COUNT** Q&A thread(s)"},{id:11,light_colour:"#94DB5E",dark_colour:"#98C973",name:"Video",code:"v",fetch_api_key:"video",tab_label:"Video",tab_id:"videos",user_label_plural:"video uploaders",user_label:"video uploader",post_types:["video"],position:10,basic_api_key:"videos",legend_text:"On **COUNT** video(s)"},{id:12,light_colour:"#DEDEDE",dark_colour:"#EFEFEF",name:"Unknown",code:"unknown",fetch_api_key:null,tab_label:"Misc.",tab_id:"misc",user_label_plural:"misc. posts",user_label:"misc. post",post_types:["unknown"],position:11,basic_api_key:null,legend_text:null},{id:13,light_colour:"#e7e7e7",dark_colour:"#c7c7c7",name:"Wikipedia",code:"w",fetch_api_key:"wikipedia",tab_label:"Wikipedia",tab_id:"wikipedia",user_label_plural:"Wikipedia pages",user_label:"Wikipedia page",post_types:["wikipedia"],position:12,basic_api_key:null,legend_text:null}],function(){return this.HandlebarsTemplates||(this.HandlebarsTemplates={}),this.HandlebarsTemplates.badge=Handlebars.template(function(e,t,n,r,i){this.compilerInfo=[4,">= 1.0.0"],n=this.merge(n,e.helpers),i=i||{};var s="",o,u="function",a=this.escapeExpression;return s+='<a target="',(o=n.linkTarget)?o=o.call(t,{hash:{},data:i}):(o=t.linkTarget,o=typeof o===u?o.apply(t):o),s+=a(o)+'" href="',(o=n.link)?o=o.call(t,{hash:{},data:i}):(o=t.link,o=typeof o===u?o.apply(t):o),s+=a(o)+'" style="display:inline-block;">\n  <img alt="',(o=n.alt_text)?o=o.call(t,{hash:{},data:i}):(o=t.alt_text,o=typeof o===u?o.apply(t):o),s+=a(o)+'" src="',(o=n.img_src)?o=o.call(t,{hash:{},data:i}):(o=t.img_src,o=typeof o===u?o.apply(t):o),s+=a(o)+'" width="',(o=n.img_width)?o=o.call(t,{hash:{},data:i}):(o=t.img_width,o=typeof o===u?o.apply(t):o),s+=a(o)+'" height="',(o=n.img_height)?o=o.call(t,{hash:{},data:i}):(o=t.img_height,o=typeof o===u?o.apply(t):o),s+=a(o)+'" style="border:0; margin:0; max-width: none;">\n</a>\n',s}),this.HandlebarsTemplates.badge}.call(this),function(){return this.HandlebarsTemplates||(this.HandlebarsTemplates={}),this.HandlebarsTemplates.badge_with_details=Handlebars.template(function(e,t,n,r,i){this.compilerInfo=[4,">= 1.0.0"],n=this.merge(n,e.helpers),i=i||{};var s="",o,u="function",a=this.escapeExpression;s+='<div style="overflow:hidden;">\n  <div style="float:left; margin:0 20px 0 0;">\n    <a target="',(o=n.linkTarget)?o=o.call(t,{hash:{},data:i}):(o=t.linkTarget,o=typeof o===u?o.apply(t):o),s+=a(o)+'" href="',(o=n.link)?o=o.call(t,{hash:{},data:i}):(o=t.link,o=typeof o===u?o.apply(t):o),s+=a(o)+'" style="display:inline-block;">\n      <img alt="',(o=n.alt_text)?o=o.call(t,{hash:{},data:i}):(o=t.alt_text,o=typeof o===u?o.apply(t):o),s+=a(o)+'" src="',(o=n.img_src)?o=o.call(t,{hash:{},data:i}):(o=t.img_src,o=typeof o===u?o.apply(t):o),s+=a(o)+'" width="',(o=n.img_width)?o=o.call(t,{hash:{},data:i}):(o=t.img_width,o=typeof o===u?o.apply(t):o),s+=a(o)+'" height="',(o=n.img_height)?o=o.call(t,{hash:{},data:i}):(o=t.img_height,o=typeof o===u?o.apply(t):o),s+=a(o)+'" style="border:0; margin: 0; max-width: none;">\n    </a>\n    <p style="padding-top: 10px; text-align: center;"><a target="',(o=n.linkTarget)?o=o.call(t,{hash:{},data:i}):(o=t.linkTarget,o=typeof o===u?o.apply(t):o),s+=a(o)+'" href="',(o=n.link)?o=o.call(t,{hash:{},data:i}):(o=t.link,o=typeof o===u?o.apply(t):o),s+=a(o)+'">See more details</a></p>\n  </div>\n  <div id="_altmetric_popover_el" class="altmetric-embed right" style="margin:0; padding:0; display:inline-block; float:left; position:relative;">\n    <div class="altmetric_container" id="_altmetric_container">\n      <div class="altmetric-embed altmetric-popover-inner right" id="_altmetric_popover_inner">\n        <div style="padding:0; margin: 0;" class="altmetric-embed altmetric-popover-content">\n          ',(o=n.contents)?o=o.call(t,{hash:{},data:i}):(o=t.contents,o=typeof o===u?o.apply(t):o);if(o||o===0)s+=o;return s+="\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n",s}),this.HandlebarsTemplates.badge_with_details}.call(this),function(){return this.HandlebarsTemplates||(this.HandlebarsTemplates={}),this.HandlebarsTemplates.badge_with_popover=Handlebars.template(function(e,t,n,r,i){this.compilerInfo=[4,">= 1.0.0"],n=this.merge(n,e.helpers),i=i||{};var s="",o,u="function",a=this.escapeExpression;s+='<a target="',(o=n.linkTarget)?o=o.call(t,{hash:{},data:i}):(o=t.linkTarget,o=typeof o===u?o.apply(t):o),s+=a(o)+'" href="',(o=n.link)?o=o.call(t,{hash:{},data:i}):(o=t.link,o=typeof o===u?o.apply(t):o),s+=a(o)+'" rel="popover" data-content="<div>',(o=n.contents)?o=o.call(t,{hash:{},data:i}):(o=t.contents,o=typeof o===u?o.apply(t):o);if(o||o===0)s+=o;return s+='</div>" style="display:inline-block;" data-badge-popover="',(o=n.position)?o=o.call(t,{hash:{},data:i}):(o=t.position,o=typeof o===u?o.apply(t):o),s+=a(o)+'">\n  <img alt="',(o=n.alt_text)?o=o.call(t,{hash:{},data:i}):(o=t.alt_text,o=typeof o===u?o.apply(t):o),s+=a(o)+'" src="',(o=n.img_src)?o=o.call(t,{hash:{},data:i}):(o=t.img_src,o=typeof o===u?o.apply(t):o),s+=a(o)+'" width="',(o=n.img_width)?o=o.call(t,{hash:{},data:i}):(o=t.img_width,o=typeof o===u?o.apply(t):o),s+=a(o)+'" height="',(o=n.img_height)?o=o.call(t,{hash:{},data:i}):(o=t.img_height,o=typeof o===u?o.apply(t):o),s+=a(o)+'" style="border:0; margin:0; max-width: none;">\n</a>\n',s}),this.HandlebarsTemplates.badge_with_popover}.call(this),function(){return this.HandlebarsTemplates||(this.HandlebarsTemplates={}),this.HandlebarsTemplates.legend=Handlebars.template(function(e,t,n,r,i){function p(e,t){var r="",i,s;return r+="\n  <div style='padding-left: 10px; line-height:18px; border-left: 16px solid "+f((i=(i=(i=t,i==null||i===!1?i:i.source),i==null||i===!1?i:i.light_colour),typeof i===a?i.apply(e):i))+";'>",s={hash:{},data:t},r+=f((i=n.legendText||e.legendText,i?i.call(e,(i=(i=t,i==null||i===!1?i:i.source),i==null||i===!1?i:i.legend_text),(i=t,i==null||i===!1?i:i.count),s):l.call(e,"legendText",(i=(i=t,i==null||i===!1?i:i.source),i==null||i===!1?i:i.legend_text),(i=t,i==null||i===!1?i:i.count),s)))+"</div> \n",r}function d(e,t){var r="",i,s,o;r+="\n  <div class='altmetric-embed readers' style='margin-top: 10px;'>\n    <div class='altmetric-embed tip_mendeley' style='padding-left: 10px; line-height:18px; border-left: 16px solid #A60000;'><b>"+f((i=(i=e.readers,i==null||i===!1?i:i.mendeley),typeof i===a?i.apply(e):i))+"</b> ",o={hash:{},data:t},r+=f((i=n.pluralize||e.pluralize,i?i.call(e,(i=e.readers,i==null||i===!1?i:i.mendeley),"reader",o):l.call(e,"pluralize",(i=e.readers,i==null||i===!1?i:i.mendeley),"reader",o)))+" on Mendeley</div>\n    ",s=n["if"].call(e,(i=e.readers,i==null||i===!1?i:i.connotea),{hash:{},inverse:c.noop,fn:c.program(4,v,t),data:t});if(s||s===0)r+=s;return r+="\n    <div class='altmetric-embed tip_citeulike' style='padding-left: 10px; line-height:18px; border-left: 16px solid #BCD2EF;'><b>"+f((i=(i=e.readers,i==null||i===!1?i:i.citeulike),typeof i===a?i.apply(e):i))+"</b> ",o={hash:{},data:t},r+=f((i=n.pluralize||e.pluralize,i?i.call(e,(i=e.readers,i==null||i===!1?i:i.citeulike),"reader",o):l.call(e,"pluralize",(i=e.readers,i==null||i===!1?i:i.citeulike),"reader",o)))+" on CiteULike</div>\n  </div>\n",r}function v(e,t){var r="",i,s;return r+="\n      <div class='altmetric-embed tip_connotea' style='padding-left: 10px; line-height:18px; border-left: 16px solid #FF4040;'><b>"+f((i=(i=e.readers,i==null||i===!1?i:i.connotea),typeof i===a?i.apply(e):i))+"</b> ",s={hash:{},data:t},r+=f((i=n.pluralize||e.pluralize,i?i.call(e,(i=e.readers,i==null||i===!1?i:i.connotea),"reader",s):l.call(e,"pluralize",(i=e.readers,i==null||i===!1?i:i.connotea),"reader",s)))+" on Connotea</div>\n    ",r}function m(e,t){var r="",i;return r+="\n  <div style='margin-top: 10px; text-align: center;'>\n    <a class='altmetric_details' target='",(i=n.linkTarget)?i=i.call(e,{hash:{},data:t}):(i=e.linkTarget,i=typeof i===a?i.apply(e):i),r+=f(i)+"' href='",(i=n.link)?i=i.call(e,{hash:{},data:t}):(i=e.link,i=typeof i===a?i.apply(e):i),r+=f(i)+"'>\n    See more details\n    </a>\n    |\n    <a href='#' class='close-popover'>\n      Close this\n    </a>\n  </div>\n\n  <a class='altmetric_embed close-popover' style='display: block; position: absolute; top: 10px; right: 15px; font-size: 1.2em; font-weight: bold; text-decoration: none; color: black; padding-bottom: 2em; padding-left: 2em;' href='javascript:void(0);'>\n    &times;\n  </a>\n",r}this.compilerInfo=[4,">= 1.0.0"],n=this.merge(n,e.helpers),i=i||{};var s="",o,u,a="function",f=this.escapeExpression,l=n.helperMissing,c=this,h=n.blockHelperMissing;u={hash:{},inverse:c.noop,fn:c.program(1,p,i),data:i},(o=n.eachSourceWithCount)?o=o.call(t,u):(o=t.eachSourceWithCount,o=typeof o===a?o.apply(t):o),n.eachSourceWithCount||(o=h.call(t,o,u));if(o||o===0)s+=o;s+="\n\n",o=n["if"].call(t,t.readers,{hash:{},inverse:c.noop,fn:c.program(3,d,i),data:i});if(o||o===0)s+=o;s+="\n",o=n["if"].call(t,t.popover,{hash:{},inverse:c.noop,fn:c.program(6,m,i),data:i});if(o||o===0)s+=o;return s+="\n",s}),this.HandlebarsTemplates.legend}.call(this),function(){var e,t,n=[].slice;window._altmetric||(window._altmetric={}),e=_altmetric._assert_shim,t=_altmetric_log_shim,Handlebars.registerHelper("pluralize",function(e,t,n){return e===1?t:(n&&n,""+t+"s")}),Handlebars.registerHelper("eachSourceWithCount",function(e){var t,n,r,i;return r=function(){var r,s,o,u;o=_altmetric.sources,u=[];for(r=0,s=o.length;r<s;r++)i=o[r],t="cited_by_"+i.basic_api_key+"_count",t in this?(n=Handlebars.createFrame(e.data||{}),n.source=i,n.count=this[t],u.push(e.fn(this,{data:n}))):u.push(void 0);return u}.call(this),r.join("")}),Handlebars.registerHelper("legendText",function(t,n){var r,i;return e(t!==void 0,"LegendText should not be undefined"),e(n!==void 0,"Count should never be undefined"),i=t.replace(/\*\*(\w+)\*\*/,"<b>$1</b>"),i=i.replace(/COUNT/,n),r=n>0,new Handlebars.SafeString(i.replace(/(\w+)\(s\)/,r?"$1s":"$1"))}),Handlebars.registerHelper("donutImgUrl",function(e){var t;return t=e.hash.size,new Handlebars.SafeString("<img src='"+this.donutImageUrl(t*2)+"' width='"+t+"' height='"+t+"'>")}),Handlebars.registerHelper("log",function(){var e;return e=1<=arguments.length?n.call(arguments,0):[],t.apply(null,e)})}.call(this),function(){var e,t,n=function(e,t){return function(){return e.apply(t,arguments)}};t=_altmetric_log_shim,e=function(){function e(e,t){this.badge_element=e,this.hidden=t!=null?t:!0,this.hide=n(this.hide,this),this.show=n(this.show,this),this.pauseShow=n(this.pauseShow,this),this.tapElement=n(this.tapElement,this),this.element=qwery("a[rel=popover]",this.badge_element).first(),this.element||(this.element=this.badge_element.firstChild),this.contents=this.element.getAttribute("data-content"),this.position=this.element.getAttribute("data-badge-popover"),this.uuid=this.element.parentElement.getAttribute("data-uuid")}return e.prototype.build=function(){return this.buildPopover(),this.attachEvents()},e.prototype.elementId=function(e){return"_altmetric_popover_"+this.uuid+"_"+e},e.prototype.cssPath=function(){var e;return e="https://d1bxh8uas1mnw7.cloudfront.net/assets/embed-a983e6e8b10c55712ff7cb7a53a0750b.css",t("css_url",e),e},e.prototype.insertCSS=function(){var e,n;if(qwery("#altmetric-embed-css").length===0)return e=this.cssPath(),t("injecting CSS: "+e),n=document.createElement("link"),n.setAttribute("id","altmetric-embed-css"),n.setAttribute("rel","stylesheet"),n.setAttribute("type","text/css"),bonzo(qwery("head")).append(n),n.setAttribute("href",e)},e.prototype.buildPopover=function(){var e,n,r,i,s;return i=qwery("div.popover",this.badge_element),s=qwery("div.popover-inner",this.badge_element),i.length>0&&s.length>0?(this.el=i[0],this.inner=s[0]):(t("creating popover for "+this.uuid),this.el=document.createElement("div"),this.el.setAttribute("class","altmetric-embed popover "+this.position),this.el.setAttribute("data-uuid",this.uuid),this.el.setAttribute("id","_altmetric_popover_el"),this.el.style.margin="0px",n=document.createElement("div"),n.setAttribute("class","altmetric_container"),n.setAttribute("id","_altmetric_container"),e=document.createElement("div"),e.setAttribute("class","altmetric_arrow "+this.position),n.appendChild(e),this.inner=document.createElement("div"),this.inner.setAttribute("id","_altmetric_popover_inner"),this.inner.setAttribute("class","altmetric-embed altmetric-popover-inner floating "+this.position),this.inner.setAttribute("data-uuid",this.uuid),r=document.createElement("div"),r.setAttribute("class","altmetric-embed altmetric-popover-content floating"),r.innerHTML=this.contents,this.inner.appendChild(r),n.appendChild(this.inner),this.el.appendChild(n),bean.add(qwery("close-popover",this.inner),"click",this.hide),document.body.appendChild(this.el),bonzo(this.el).show("block").hide())},e.prototype.attachEvents=function(){return bean.add(this.element,"mouseover",this.pauseShow),bean.add(this.element,"touchstart",this.tapElement),bean.add(this.el,"click",this.hide),bean.add(this.el,"touchstart",this.hide)},e.prototype.tapElement=function(e){if(this.hidden)return e.stop(),this.pauseShow(e)},e.prototype.pauseShow=function(e){var t=this;return this.hidden=!1,bean.add(this.element,"mouseleave.pause",this.hide),setTimeout(function(){return t.show(e)},300)},e.prototype.show=function(e){var n,r,i,s,o,u,a;if(!this.hidden){bean.remove(this.element,"mouseleave.pause"),i=bonzo(this.element).offset(),bonzo(this.el).show("block"),r=this.el.offsetWidth,n=this.el.offsetHeight,u=i.top,o=i.left,a=i.width,s=i.height;switch(this.position){case"right":this.el.style.top=""+(u+s/2-n/2)+"px",this.el.style.left=""+(o+a)+"px";break;case"left":this.el.style.top=""+(u+s/2-n/2)+"px",this.el.style.left=""+(o-r)+"px";break;case"top":this.el.style.top=""+(u-n)+"px",this.el.style.left=""+(o+a/2-r/2)+"px";break;case"bottom":this.el.style.top=""+(u+s)+"px",this.el.style.left=""+(o+a/2-r/2)+"px"}return t("actualHeight: "+n+", actualWidth: "+r+", relTop: "+u+", relLeft: "+o+", relWidth: "+a+", relHeight: "+s+", top: "+this.el.style.top+", left: "+this.el.style.left)}},e.prototype.hide=function(e){return e.target.className!=="altmetric_details"&&e.stop(),bonzo(this.el).hide(),this.hidden=!0},e}(),window._altmetric.Popover=e}.call(this),function(){var e;e=_altmetric_log_shim,window._altmetric.donut_url=function(e,t){var n,r,i,s,o,u,a,f,l,c;a={cited_by_fbwalls_count:"f",cited_by_feeds_count:"b",cited_by_gplus_count:"g",cited_by_msm_count:"m",cited_by_rdts_count:"r",cited_by_tweeters_count:"t",cited_by_pinners_count:"p",cited_by_rh_count:"1",cited_by_linkedin_count:"l",cited_by_qna_count:"q",cited_by_videos_count:"v"},n="altmetric-badges.a.ssl.fastly.net",l=e.cited_by_posts_count,o={},f=[];for(r in a)u=a[r],e[r]!=null&&(f.push(u),o[u]=e[r]/l*100);while(f.length<8){i=!1,s=0;for(r in o)c=o[r],c>s&&(i=r,s=c);i?(o[i]-=12.5,o[i]<=0&&(o[i]=.1),f.push(i)):f.push("?")}return f.sort,"https://"+n+"/?size="+t+"&score="+Math.ceil(e.score)+"&types="+f.join("")}}.call(this),function(){var e,t;window._altmetric||(window._altmetric={}),t=_altmetric_log_shim,e=function(){function e(e){var t,n;this.element=e,this.setUUID(),this.api_version="v1",this.classes=this.element.className.split(" "),this.doi=this.getDoi(),this.arxiv_id=this.getArxivId(),this.pubmed_id=this.getPubmedId(),this.handle_id=this.getHandle(),this.hideNoMentions=((n=this.getProperty("hide-no-mentions"))!=null?n.toLowerCase():void 0)==="true",this.dataBadgeType=this.getProperty("badge-type"),this.popoverPosition=this.getProperty("badge-popover"),this.detailsPosition=this.getProperty("badge-details"),this.linkTarget=this.getProperty("link-target")||"_self",this.badge_cdn="https://d1uo4w7k31k5mn.cloudfront.net",this.api_key="3c130976ca2b8f2e88f8377633751ba1",t=new Date,this.cache_breaker="cache_until="+t.getHours()+"-"+t.getDate(),this.badgeSizes={v1:{width:"110",height:"20"},v2:{width:"88",height:"18"},v3:{width:"99",height:"18"},v4:{width:"85",height:"15"},donut:{width:"64",height:"64"},medium_donut:{width:"120",height:"120"},large_donut:{width:"180",height:"180"}}}return e.prototype.getClassProperty=function(e){var t,n,r,i;t="altmetric-"+e,i=function(){var e,r,i,s;i=this.classes,s=[];for(e=0,r=i.length;e<r;e++)n=i[e],n.indexOf(t)===0&&s.push(n.replace(/\s+/g,""));return s}.call(this),r=i.first();if(r)return r.substring(t.length+1)},e.prototype.getProperty=function(e){return this.element.getAttribute("data-"+e)||this.getClassProperty(e)},e.prototype.badgeType=function(){return this.dataBadgeType!=null?this.dataBadgeType.match(/\d+/)?"v"+this.dataBadgeType:this.dataBadgeType.match(/donut/)?this.dataBadgeType.replace("-","_"):"v2":"v2"},e.prototype.badgePath=function(){return this.badgeType().match(/donut/)?"donut":this.badgeType()},e.prototype.setUUID=function(){var e;return e=function(){return((1+Math.random())*65536|0).toString(16).substring(1)},this.uuid=e()+e()+"-"+e()+"-"+e()+"-"+e()+"-"+e()+e()+e(),this.element.setAttribute("data-uuid",this.uuid)},e.prototype.getDoi=function(){var e;return _altmetric.extractDOI((e=this.getProperty("doi"))!=null?e.toLowerCase():void 0)||this.getProperty("doi")},e.prototype.getArxivId=function(){var e,t;return(e=this.getProperty("arxiv-id"))!=null?(t=e.match(/([^\:]*)$/g))!=null?t[0]:void 0:void 0},e.prototype.getPubmedId=function(){return this.getProperty("pmid")},e.prototype.getHandle=function(){var e;return(e=this.getProperty("handle"))!=null?e.toLowerCase():void 0},e.prototype.badgeId=function(){var e;return e=this.doi||this.arxiv_id||this.pubmed_id||this.handle_id,e?e:this.doi=_altmetric.findDOI(void 0)},e.prototype.prepareBadge=function(){var e,t,n,r;return t=document.createElement("a"),r=this.badgeSizes[this.badgeType()].width,e=this.badgeSizes[this.badgeType()].height,this.hideNoMentions||(t.style.cursor="pointer",t.style.display="inline-block",this.badgePath()==="donut"?t.style.backgroundImage="url(https://altmetric-badges.a.ssl.fastly.net/?size="+r+"&score=?&types=????????)":t.style.backgroundImage="url("+this.badge_cdn+"/"+this.badgePath()+"/0.png)",t.style.width=""+r+"px",t.style.height=""+e+"px"),t.setAttribute("href","http://www.altmetric.com/details.php?domain="+document.domain+"&doi="+this.doi),t.setAttribute("target",this.linkTarget),t.appendChild(document.createTextNode(" ")),n=document.createElement("div"),n.appendChild(t),this.element.innerHTML=n.innerHTML,this.fetchData()},e.prototype.apiCall=function(){if(this.doi)return"doi/"+this.doi;if(this.arxiv_id)return"arxiv/"+this.arxiv_id;if(this.pubmed_id)return"pmid/"+this.pubmed_id;if(this.handle_id)return"handle/"+this.handle_id},e.prototype.fetchData=function(){var e,n,r=this;return n="https://api.altmetric.com/"+this.api_version+"/"+this.apiCall()+"?callback=_altmetric_embed_callback&domain="+document.domain+"&key="+this.api_key+"&"+this.cache_breaker,e=document.createElement("script"),e.setAttribute("type","text/javascript"),e.onerror=function(e){return t("Error fetching JSONP details for "+r.badgeId()),t(e)},document.body.appendChild(e),e.setAttribute("src",n)},e.prototype.createBadge=function(e){var t,n,r,i,s;this.altmetric_info=e,this.score=Math.ceil(this.altmetric_info.score),this.altmetric_id=this.altmetric_info.altmetric_id,this.altmetric_link="http://www.altmetric.com/details.php?domain="+document.domain+"&citation_id="+this.altmetric_id,i="badge",s=this.badgeSizes[this.badgeType()].width,r=this.badgeSizes[this.badgeType()].height,n={link:this.altmetric_link,img_width:""+s+"px",img_height:""+r+"px",img_src:""+this.badge_cdn+"/"+this.badgePath()+"/"+this.score+".png",alt_text:"Article has an altmetric score of "+this.score,linkTarget:this.linkTarget},this.popoverPosition?(n.contents=this.articleDetails(!0),n.position=this.popoverPosition,i="badge_with_popover"):this.detailsPosition&&(n.contents=this.articleDetails(!1),n.position=this.detailsPosition,i="badge_with_details"),this.badgePath()==="donut"&&(n.img_src=_altmetric.donut_url(this.altmetric_info,s)),t=HandlebarsTemplates[i](n),this.element.innerHTML=t,this.popover=new window._altmetric.Popover(this.element),this.popover.insertCSS();if(this.popoverPosition&&this.renderPopover())return this.popover.build()},e.prototype.renderPopover=function(){return!bowser.msie||bowser.msie&&bowser.version>7},e.prototype.articleDetails=function(e){return this.altmetric_info.link=this.altmetric_link,this.altmetric_info.popover=e,this.altmetric_info.linkTarget=this.linkTarget,HandlebarsTemplates.legend(this.altmetric_info)},e}(),window._altmetric.Badge=e,window._altmetric_embed_callback=function(e){var n,r,i,s,o,u,a,f,l,c;s=[e.pmid,e.arxiv_id,(f=e.handle)!=null?f.toLowerCase():void 0,(l=e.doi)!=null?l.toLowerCase():void 0],o=function(){var e,t,n;n=[];for(e=0,t=s.length;e<t;e++)i=s[e],i&&i in window._altmetric.badges&&n.push(window._altmetric.badges[i]);return n}();if(o.length>0){c=[];for(u=0,a=o.length;u<a;u++)r=o[u],c.push(function(){var t,i,s;s=[];for(t=0,i=r.length;t<i;t++)n=r[t],s.push(n.createBadge(e));return s}());return c}return t("No matching badges for "+s)},window._altmetric_embed_init=function(){var n,r,i,s,o,u,a,f,l,c;r=function(){var t,r,s,o;s=function(){var t,n,r,s;r=qwery(".altmetric-embed"),s=[];for(t=0,n=r.length;t<n;t++)i=r[t],s.push(new e(i));return s}(),o=[];for(t=0,r=s.length;t<r;t++)n=s[t],n.badgeId()!=null&&o.push(n);return o}(),window._altmetric.badges={};for(o=0,a=r.length;o<a;o++)n=r[o],(s=window._altmetric.badges)[l=n.badgeId()]||(s[l]=[]),window._altmetric.badges[n.badgeId()].push(n);t(_altmetric.badges),c=[];for(u=0,f=r.length;u<f;u++)n=r[u],c.push(n.prepareBadge());return c}}.call(this),function(){function o(){if(!i){i=!0;if(s){for(var e=0;e<s.length;e++)s[e].call(window,[]);s=[]}}}function u(e){var t=window.onload;typeof window.onload!="function"?window.onload=e:window.onload=function(){t&&t(),e()}}function a(){if(r)return;r=!0,document.addEventListener&&!n.opera&&document.addEventListener("DOMContentLoaded",o,!1),n.msie&&window==top&&function(){if(i)return;try{document.documentElement.doScroll("left")}catch(e){setTimeout(arguments.callee,0);return}o()}(),n.opera&&document.addEventListener("DOMContentLoaded",function(){if(i)return;for(var e=0;e<document.styleSheets.length;e++)if(document.styleSheets[e].disabled){setTimeout(arguments.callee,0);return}o()},!1);if(n.safari){var e;(function(){if(i)return;if(document.readyState!="loaded"&&document.readyState!="complete"){setTimeout(arguments.callee,0);return}if(e===undefined){var t=document.getElementsByTagName("link");for(var n=0;n<t.length;n++)t[n].getAttribute("rel")=="stylesheet"&&e++;var r=document.getElementsByTagName("style");e+=r.length}if(document.styleSheets.length!=e){setTimeout(arguments.callee,0);return}o()})()}u(o)}var e=window.DomReady={},t=navigator.userAgent.toLowerCase(),n={version:(t.match(/.+(?:rv|it|ra|ie)[\/: ]([\d.]+)/)||[])[1],safari:/webkit/.test(t),opera:/opera/.test(t),msie:/msie/.test(t)&&!/opera/.test(t),mozilla:/mozilla/.test(t)&&!/(compatible|webkit)/.test(t)},r=!1,i=!1,s=[];e.ready=function(e,t){a(),i?e.call(window,[]):s.push(function(){return e.call(window,[])})},a()}(),DomReady.ready(function(){_altmetric_embed_init()});